### Hierarchy

- StructuredList

### Implements

- AfterContentInit
- ControlValueAccessor

## Index

### Inputs

- border
- condensed
- name
- nowrap
- selection
- skeleton

### Outputs

- selected

### Properties

- _skeleton
- border
- condensed
- headers
- name
- nowrap
- rows
- selected
- selection
- listCount

### Accessors

- skeleton

### Methods

- ngAfterContentInit
- onChange
- onTouched
- registerOnChange
- registerOnTouched
- updateChildren
- writeValue

## Properties

### Protected _skeleton

_skeleton: boolean = false

- Defined in src/structured-list/structured-list.component.ts:141

### border

@Input()
border: boolean = false

- Defined in src/structured-list/structured-list.component.ts:94

### condensed

@Input()
condensed: boolean = false

- Defined in src/structured-list/structured-list.component.ts:98

### headers

@ContentChildren({"selector":"ListHeader"})
headers: QueryList<ListHeader>

- Defined in src/structured-list/structured-list.component.ts:139

### name

@Input()
name: string = `structured-list-${StructuredList.listCount++}`

- Defined in src/structured-list/structured-list.component.ts:106

### nowrap

@Input()
nowrap: boolean = false

- Defined in src/structured-list/structured-list.component.ts:102

### rows

@ContentChildren({"selector":"ListRow"})
rows: QueryList<ListRow>

- Defined in src/structured-list/structured-list.component.ts:138

### selected

@Output()
selected: EventEmitter<object> = new EventEmitter()

- Defined in src/structured-list/structured-list.component.ts:136

### selection

@Input()
selection: boolean = false

- Defined in src/structured-list/structured-list.component.ts:90

### Static listCount

listCount: number = 0

- Defined in src/structured-list/structured-list.component.ts:86

## Accessors

### skeleton

@Input()
skeleton:

- Defined in src/structured-list/structured-list.component.ts:112
- Defined in src/structured-list/structured-list.component.ts:120

## Methods

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/structured-list/structured-list.component.ts:147

  #### Returns void

### onChange

- onChange(_: any): void

- - Defined in src/structured-list/structured-list.component.ts:143

  #### Parameters

  - ##### _: any

  #### Returns void

### onTouched

- onTouched(): void

- - Defined in src/structured-list/structured-list.component.ts:145

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in src/structured-list/structured-list.component.ts:180

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in src/structured-list/structured-list.component.ts:184

  #### Parameters

  - ##### fn: any

  #### Returns void

### Protected updateChildren

- updateChildren(): void

- - Defined in src/structured-list/structured-list.component.ts:188

  #### Returns void

### writeValue

- writeValue(value: any): void

- - Defined in src/structured-list/structured-list.component.ts:169

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc